%    GESSA (Graphically Extended Stochastic Simulation Algorithm)
%   
%    Copyright (C) 2010 Michael Ochs, Elana Fertig, Ludmila Danilova
%
%    This program is free software: you can redistribute it and/or modify
%    it under the terms of the GNU General Public License as published by
%    the Free Software Foundation, either version 3 of the License, or
%    (at your option) any later version.
%
%    This program is distributed in the hope that it will be useful,
%    but WITHOUT ANY WARRANTY; without even the implied warranty of
%    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
%    GNU General Public License for more details.
%
%    You should have received a copy of the GNU General Public License
%    along with this program.  If not, see <http://www.gnu.org/licenses/>.


classdef CellInfo<handle
    % represents information about cell from XML file
    
    properties
        Name;                   % name of cell
        Alive = false;          % is this cell alive in the start of simulation
        ProgenyOf;              % this cell is progeny of other cell
        LeftNeighbor;           % left neighbor of cell
        RightNeighbor;          % right neighbor of cell        
        StartTime;              % time of cell appearing
        DivisionTime;           % time when cell is divided    
        GrowthRate;             % growth rate for diffusion
        SignalTypes;            % vector with signal names
        DistanceToSource;       % vector of SinalTypes size with distances 
                                % to signal sources
    end
    
    methods
         %% Constructor
      function new_cell = CellInfo(inputName)
        if (nargin > 0)
            % specify property 'name'
           new_cell.Name = inputName;  
        end
      end
    end
    
end

