%    GESSA (Graphically Extended Stochastic Simulation Algorithm)
%   
%    Copyright (C) 2010 Michael Ochs, Elana Fertig, Ludmila Danilova
%
%    This program is free software: you can redistribute it and/or modify
%    it under the terms of the GNU General Public License as published by
%    the Free Software Foundation, either version 3 of the License, or
%    (at your option) any later version.
%
%    This program is distributed in the hope that it will be useful,
%    but WITHOUT ANY WARRANTY; without even the implied warranty of
%    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
%    GNU General Public License for more details.
%
%    You should have received a copy of the GNU General Public License
%    along with this program.  If not, see <http://www.gnu.org/licenses/>.


function scaffoldState = initializePPIUpdaterFromFile(organism, initFile)

    if (nargin == 1)
        scaffoldState = defaultInitialScaffoldState(organism);
        return;
    end
    
    switch lower(initFile.type)
        case 'mat'
            throw(MException(...
                'MATLAB:initializePPIUpdaterFromFile:invalidFileType', ...
                'Cannot yet initialize the PPI updater from a mat file.'));
        case 'xml'
            throw(MException(...
                'MATLAB:initializePPIUpdaterFromFile:invalidFileType', ...
                'Cannot yet initialize the PPI updater from a xml file.'));
        otherwise
            scaffoldState = defaultInitialScaffoldState(organism);
    end
        
end
