%    GESSA (Graphically Extended Stochastic Simulation Algorithm)
%   
%    Copyright (C) 2010 Michael Ochs, Elana Fertig, Ludmila Danilova
%
%    This program is free software: you can redistribute it and/or modify
%    it under the terms of the GNU General Public License as published by
%    the Free Software Foundation, either version 3 of the License, or
%    (at your option) any later version.
%
%    This program is distributed in the hope that it will be useful,
%    but WITHOUT ANY WARRANTY; without even the implied warranty of
%    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
%    GNU General Public License for more details.
%
%    You should have received a copy of the GNU General Public License
%    along with this program.  If not, see <http://www.gnu.org/licenses/>.


classdef SSA_Properties < handle
    %Describes parameters for stochactic simulation
    
    properties
        V                 % volume of compartment
        Names             % column vector of names of species involved in 
                          % simulated process
        Population        % column vector corresponding to Names vector with
                          % initial population of species
        ReactionRates     % row vector of reaction constants
        StoichMatrix      % NSpecies x NReaction stoichiometry matrix 
                          % with rows corresponding to species 
                          % and columns corresponding to reaction 
       
    end
       
end

