%    GESSA (Graphically Extended Stochastic Simulation Algorithm)
%   
%    Copyright (C) 2010 Michael Ochs, Elana Fertig, Ludmila Danilova
%
%    This program is free software: you can redistribute it and/or modify
%    it under the terms of the GNU General Public License as published by
%    the Free Software Foundation, either version 3 of the License, or
%    (at your option) any later version.
%
%    This program is distributed in the hope that it will be useful,
%    but WITHOUT ANY WARRANTY; without even the implied warranty of
%    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
%    GNU General Public License for more details.
%
%    You should have received a copy of the GNU General Public License
%    along with this program.  If not, see <http://www.gnu.org/licenses/>.


classdef SystemUpdater < handle
    
    methods (Abstract, Access=public)
        
        % initialize the values in an updater from values stored in a file
        [state, time] = initializer(updater, organism, initFile, initTime);
        
        % update the state of the system from that at the current timestep
        % to some additional time delT
        [newState, delTReal] = update(updater, state, ...
            previousTime, delT);
    end
    
end
