%    GESSA (Graphically Extended Stochastic Simulation Algorithm)
%   
%    Copyright (C) 2010 Michael Ochs, Elana Fertig, Ludmila Danilova
%
%    This program is free software: you can redistribute it and/or modify
%    it under the terms of the GNU General Public License as published by
%    the Free Software Foundation, either version 3 of the License, or
%    (at your option) any later version.
%
%    This program is distributed in the hope that it will be useful,
%    but WITHOUT ANY WARRANTY; without even the implied warranty of
%    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
%    GNU General Public License for more details.
%
%    You should have received a copy of the GNU General Public License
%    along with this program.  If not, see <http://www.gnu.org/licenses/>.


function [ inputAsDouble ] = convert2Double( inputValue )
%convert2Double Converts a generic input type class double

    if (isa(inputValue, 'cell'))
        inputAsDouble = str2double(cell2str(inputValue));
        return;
    elseif (isa(inputValue, 'char'))
        inputAsDouble = str2double(inputValue);
        return;
    elseif (isnumeric(inputValue))
        inputAsDouble = double(inputValue);
        return;
    else
        throw(MException('MATLAB:convert2Double:invalidType', ...
            'Cannot convert variable of class %s to a double.', ...
            class(inputValue)));
    end
        
end

