%    GESSA (Graphically Extended Stochastic Simulation Algorithm)
%   
%    Copyright (C) 2010 Michael Ochs, Elana Fertig, Ludmila Danilova
%
%    This program is free software: you can redistribute it and/or modify
%    it under the terms of the GNU General Public License as published by
%    the Free Software Foundation, either version 3 of the License, or
%    (at your option) any later version.
%
%    This program is distributed in the hope that it will be useful,
%    but WITHOUT ANY WARRANTY; without even the implied warranty of
%    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
%    GNU General Public License for more details.
%
%    You should have received a copy of the GNU General Public License
%    along with this program.  If not, see <http://www.gnu.org/licenses/>.


function c = diffusion(nd, D, t, r, dim, unidirectional)
    denom = (4.*pi.*D.*t).^(dim/2);
    
    expon = (r.^2)./(4.*D.*t);
    
    c = (nd./denom).*exp(-expon);
    
    % note that the 1d diffusion is constrained to go in a single direction
    % -> twice the signal than in 1d diffusion that can go in any direction
    if (unidirectional && dim==1)
        c = 2.*c;
    end
    
end
