%    GESSA (Graphically Extended Stochastic Simulation Algorithm)
%   
%    Copyright (C) 2010 Michael Ochs, Elana Fertig, Ludmila Danilova
%
%    This program is free software: you can redistribute it and/or modify
%    it under the terms of the GNU General Public License as published by
%    the Free Software Foundation, either version 3 of the License, or
%    (at your option) any later version.
%
%    This program is distributed in the hope that it will be useful,
%    but WITHOUT ANY WARRANTY; without even the implied warranty of
%    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
%    GNU General Public License for more details.
%
%    You should have received a copy of the GNU General Public License
%    along with this program.  If not, see <http://www.gnu.org/licenses/>.
%
% rate of change of logistic growth (used for signal from anchor
% cell) - derived from N(t) = K/(1+(K/N0 - 1)exp(-rt))
function dLogitdT = logisticDeriv(anchorMax, times, ...
                                  initAnchor, rate)
     ratio     = ((anchorMax./initAnchor) - 1).*exp(-rate.*times);
     dLogitdT  = ((anchorMax.*rate)./((1+ratio).^2)).*ratio;
end
